Problem with 4View & 4View ZEA

Hello
How to disable a code when these commands '_4View , '_4View ZEA are running ?
The view name don’t added to the right combobox When i used them.

The code work fine when double click or when use button with RhinoView events

public BackgroundPanel()
        {
            InitializeComponent();
            RhinoView.Rename += new EventHandler<ViewEventArgs>(DocOpened);
            RhinoView.Create += new EventHandler<ViewEventArgs>(DocOpened);
            RhinoView.Modified += new EventHandler<ViewEventArgs>(DocOpened);
            RhinoView.Destroy += new EventHandler<ViewEventArgs>(DocOpened);
            Rhino.RhinoDoc.DocumentPropertiesChanged += new EventHandler<Rhino.DocumentEventArgs>(DocOpened);
        }
--------------------------------------------------------
--------------------------------------------------------

private void AddToCombo()
        {
            viewNames1.Items.Clear(); // combobox
            viewNames2.Items.Clear(); // combobox
            viewNames3.Items.Clear(); // combobox
            List<string> toplist = new List<string>();
            List<string> frontlist = new List<string>();
            List<string> rightlist = new List<string>();
            //toplist.Clear();
            //frontlist.Clear();
            //rightlist.Clear();
            var views = Rhino.RhinoDoc.ActiveDoc.Views;
            foreach (var v in views)
            {
                var zaxis = v.ActiveViewport.ConstructionPlane().ZAxis;
                if (v.ActiveViewport.IsParallelProjection && 
                    v.ActiveViewport.Name !="Perspective" && 
                    v.ActiveViewport.Name!="Viewport") 
                {
                    if (Math.Abs(zaxis.Z) == 1 && v.ActiveViewport.Name != "Front" && v.ActiveViewport.Name != "Right")
                    {
                        toplist.Add(v.ActiveViewport.Name);
                    }
                    if (Math.Abs(zaxis.Y) == 1 && v.ActiveViewport.Name != "Top" && v.ActiveViewport.Name != "Right")
                    {
                        frontlist.Add(v.ActiveViewport.Name);
                    }
                    if (Math.Abs(zaxis.X) == 1 && v.ActiveViewport.Name != "Top" && v.ActiveViewport.Name != "Front")
                    {
                        rightlist.Add(v.ActiveViewport.Name);
                    }
                }
            }
            viewNames1.Items.AddRange(toplist.ToArray());
            viewNames2.Items.AddRange(frontlist.ToArray());
            viewNames3.Items.AddRange(rightlist.ToArray());
            viewNames1.SelectedIndex = 0;
            viewNames2.SelectedIndex = 0;
            viewNames3.SelectedIndex = 0;
        }
--------------------------------------------------------
--------------------------------------------------------
private void UpdateViews()
        {
            ShowHide(topName, comboBox1, checkBox1, Scale());
            ShowHide(frontName, comboBox2, checkBox2, Scale());
            ShowHide(rightName, comboBox3, checkBox3, Scale());
        }
private void DocOpened(object sender, EventArgs e)
        {
            if (Rhino.RhinoDoc.ActiveDoc.IsAvailable)
            {
                AddToCombo();
                UpdateViews();
            }
        }